Subject: Re: [PATCH] Fix 64bit bugs in dscc44.c

From: Andi Kleen <[email-masked]>
Date: Wed, 8 Oct 2003 18:08:59 +0200

On Wed, Oct 08, 2003 at 09:01:32AM -0700, David S. Miller wrote:
> On Wed, 8 Oct 2003 17:55:48 +0200
> Andi Kleen <[email-masked]> wrote:
> 
> > I agree it would have been better to write:
> > "ioremap and ioremap_nocache return pointers and that should 
> > be stored in a pointer variable. However when you really want 
> > to store them in a integer variable for unknown reasons always
> > use unsigned long, not u32 or int"
> > 
> > However that was just too long, so I didn't write it.
> 
> Don't replace one error with a new warning, just add the cast
> to the ioremap() call or something like that.

I don't particularly care about the warning, just that it will
obviously crash on a 64bit box when loaded. My change was the simplest 
possible fix for that. I have no plans to rewrite this driver
or something.

-Andi